< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package deviceid
  Definition Classes
    filters
- DefaultDeviceIdFilter
- DeviceFingerprint
- DeviceId
- DeviceIdCookie
- DeviceIdFilter

c

uk.gov.hmrc.play.bootstrap.frontend.filters.deviceid

# DeviceId 

###
Companion object DeviceId

#### case class DeviceId(uuid: String, timestamp: Long, hash: String) extends Product with Serializable

The DeviceId is a long lived cookie which represents a digital signature composed of a UUID, timestamp in milliseconds and a hash.

The format of the cookie 'mdtpdi' is...

mdtpdi#UUID#TIMESTAMP_hash

Note the above hash is a one way hash of the value preceding the "_".

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeviceId
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DeviceId(uuid: String, timestamp: Long, hash: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def cookie: Cookie
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val hash: String
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  val timestamp: Long
17.  val uuid: String
18.  def value: String
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped